@echo off
rem find XINDICE_HOME
if not "%XINDICE_HOME%"=="" goto checkJava

rem check for ant in Program Files on system drive
if not exist "%SystemDrive%\Program Files\Xindice" goto checkSystemDrive
set XINDICE_HOME=%SystemDrive%\Program Files\Xindice
goto checkJava

:checkSystemDrive
rem check for ant in root directory of system drive
if not exist "%SystemDrive%\Xindice" goto checkXindice
set XINDICE_HOME=%SystemDrive%\Xindice
goto checkJava

:checkXindice
rem check for ant in root directory of system drive
if not exist "%SystemDrive%\Xindice" goto checkWorkXindice
set XINDICE_HOME=%SystemDrive%\Xindice
goto checkJava


:checkWorkXindice
rem check for ant in root directory of system drive
if not exist "%SystemDrive%\work\Xindice" goto checkCurrent
set XINDICE_HOME=%SystemDrive%\work\Xindice
goto checkJava

:checkCurrent
if exist ".\config" set XINDICE_HOME=
echo %XINDICE_HOME%
goto checkJava

:noAntHome
echo XINDICE_HOME is not set and ant could not be located. Please set XINDICE_HOME.
goto end

:checkJava
if "%JAVACMD%" == "" set JAVACMD=java

set LOCALCLASSPATH=%CLASSPATH%;%ANT_HOME%\config
for %%i in (%XINDICE_HOME%\java\lib\*.jar) do call %XINDICE_HOME%\bin\lcp.bat %%i

if "%JAVA_HOME%" == "" goto runAnt
if exist %JAVA_HOME%\lib\tools.jar call %XINDICE_HOME%\bin\lcp.bat %JAVA_HOME%\lib\tools.jar
if exist %JAVA_HOME%\lib\classes.zip call %XINDICE_HOME%\bin\lcp.bat %JAVA_HOME%\lib\classes.zip


set CL=
:LOOP
if "%1"=="" goto DONE
set CL=%CL% %1
shift
goto LOOP
:DONE

:runAnt
%JAVACMD% -Xms16m -Xmx128m -Djacorb.verbosity=0 -Dxindice.home=%XINDICE_HOME% -Dcmd.home=%XINDICE_HOME%\bin -classpath %LOCALCLASSPATH% org.apache.xindice.tools.XMLUserTools %CL%



:end
set LOCALCLASSPATH=

